import request from '@/utils/request'

// 查询主诉列表
export function listHealthcareOsComplaints(query) {
  return request({
    url: '/outpatientService/healthcareOsComplaints/list',
    method: 'get',
    params: query
  })
}

// 查询主诉详细
export function getHealthcareOsComplaints(id) {
  return request({
    url: '/outpatientService/healthcareOsComplaints/' + id,
    method: 'get'
  })
}

// 新增主诉
export function addHealthcareOsComplaints(data) {
  return request({
    url: '/outpatientService/healthcareOsComplaints',
    method: 'post',
    data: data
  })
}

// 修改主诉
export function updateHealthcareOsComplaints(data) {
  return request({
    url: '/outpatientService/healthcareOsComplaints',
    method: 'put',
    data: data
  })
}

// 删除主诉
export function delHealthcareOsComplaints(id) {
  return request({
    url: '/outpatientService/healthcareOsComplaints/' + id,
    method: 'delete'
  })
}